Bug 229128 - [maintainer] sysutils/boxbackup: pet pkg-fallout, and portlint
Summary: [maintainer] sysutils/boxbackup: pet pkg-fallout, and portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2018-06-18 21:37 UTC by Chris Hutchinson
Modified: 2018-06-28 14:16 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
svn diff for sysutils/boxbackup (1.05 KB, patch)
2018-06-18 21:37 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
QA LOG for sysutils/boxbackup (39.96 KB, text/plain)
2018-06-18 21:41 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2018-06-18 21:37:37 UTC
Created attachment 194375 [details]
svn diff for sysutils/boxbackup

pkg-fallout complains that sysutils/boxbackup doesn't build.
This pr(1) corrects that problem. While here, pet portlint
as well.

Changes
  Makefile
  files/patch-bbackupd-config

That's it!

patch, and QA LOG attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2018-06-18 21:41:37 UTC
Created attachment 194376 [details]
QA LOG for sysutils/boxbackup

QA LOG

works/tested on 12-CURRENT

There are still several warnings, that would be fairly simple to
fix. But ${WORK} && ${LIFE} have me pretty busy right now.
But if you, or someone you know wants to submit any patches,
they will be happily accepted. ;-)

--Chris
Comment 2 Thomas Zander freebsd_committer 2018-06-24 13:09:56 UTC
This does not build on 11:

BackupStoreInfo.cpp:162:3: error: non-constant-expression cannot be narrowed from type 'unsigned long' to 'int64_t' (aka 'long') in initializer list [-Wc++11-narrowing]
                box_hton64(BlockHardLimit), // mBlocksHardLimit
Comment 3 commit-hook freebsd_committer 2018-06-28 14:15:36 UTC
A commit references this bug:

Author: tz
Date: Thu Jun 28 14:15:01 UTC 2018
New revision: 473497
URL: https://svnweb.freebsd.org/changeset/ports/473497

Log:
  sysutils/boxbackup: pet pkg-fallout

  Fix build by using -std=c++98

  Also regenerate patch with make makepatch

  PR:		229128
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/files/patch-bbackupd-config
Comment 4 Torsten Zuehlsdorff freebsd_committer 2018-06-28 14:16:29 UTC
Committed, thanks! :)